name: pcf
services:
  pcf:
    image: vuldocker/pcf:1.4.8
    deploy:
      resources:
        limits:
          memory: 256M
    restart: unless-stopped
    ports:
      - 15000:5000
    x-casaos:
      ports:
        - container: "15000"
          description:
            en_us: Pentest-Collaboration-Framework Web UI Port 
            zh_cn: Pentest-Collaboration-Framework Web 端口
    container_name: pcf
x-casaos:
  architectures:
    - amd64
    - arm
    - arm64
  author: arch3rPro
  category: Pentest
  description:
    en_us: an opensource, cross-platform and portable toolkit for automating routine processes when carrying out various works for testing!
    zh_cn: 开源、跨平台和便携式工具包，用于与团队一起自动化常规渗透测试流程.
  developer: invuls
  icon: https://raw.githubusercontent.com/arch3rPro/Pentest-Docker/master/Apps/Pentest-Collaboration-Framework/Pentest-Collaboration-Framework.png
  screenshot_link:
    - https://raw.githubusercontent.com/arch3rPro/Pentest-Docker/master/Apps/Pentest-Collaboration-Framework/screenshot-01.png
    - https://raw.githubusercontent.com/arch3rPro/Pentest-Docker/master/Apps/Pentest-Collaboration-Framework/screenshot-02.png
    - https://raw.githubusercontent.com/arch3rPro/Pentest-Docker/master/Apps/Pentest-Collaboration-Framework/screenshot-03.png
    - https://raw.githubusercontent.com/arch3rPro/Pentest-Docker/master/Apps/Pentest-Collaboration-Framework/screenshot-04.png
    - https://raw.githubusercontent.com/arch3rPro/Pentest-Docker/master/Apps/Pentest-Collaboration-Framework/screenshot-05.png
  tagline:
    en_us: an opensource, cross-platform and portable toolkit for automating routine processes
    zh_cn: 开源、跨平台和便携式渗透测试工具包
  thumbnail: https://raw.githubusercontent.com/arch3rPro/CasaOS-Pentest/main/Apps/Pentest-Collaboration-Framework/thumbnail.png
  index: /
  scheme: http
  tips:
    custom: |-
      第一次登录需要自行注册账号
  title:
    custom: PCF
  port_map: "15000"
